> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.nibtravelinsurance.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server.

# Benefits

GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/plans/{planId}/benefits

Returns detailed configuration data about the Benefits for an insurance plan

Reference: https://developer.nibtravelinsurance.com/reference/products-api/plan/benefits

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `brandCode` (enum, required) — Brand code
  - Allowed values: `nibau`, `nibnz`, `tidau`, `wn`
- `planId` (long, required, default: 0)

### Query parameters

- `lang` (string, optional)
- `effectiveAt` (string, optional)

## Response

### 200

Success

- `expirySeconds` (integer, optional)
- `planId` (long, optional, default: 0)
- `displayLimitsPerPolicy` (boolean, optional, default: false)
- `effectiveFromDate` (string, optional)
- `effectiveToDate` (string, optional)
- `benefits` (list of BenefitSummary, optional)
- `availableTranslations` (map from string to string, optional)

## Types

### BenefitSummary

- `benefitId` (long, optional, default: 0)
- `code` (string, optional)
- `optionTypeCode` (string, optional)
- `displayOrder` (integer, optional)
- `name` (string, optional)
- `description` (string, optional)
- `longDescription` (string, optional)
- `appliesToDependents` (boolean, optional, default: false)
- `perPolicyHolderLimit` (double, optional)
- `perPolicyLimit` (double, optional)
- `limitLabel` (string, optional)
- `limitDescription` (string, optional)
- `childBenefits` (list of BenefitSummary, optional)

## Examples

**Response**

```json
{
  "expirySeconds": 86400,
  "planId": 280,
  "displayLimitsPerPolicy": true,
  "effectiveFromDate": "effectiveFromDate",
  "effectiveToDate": "effectiveToDate",
  "benefits": [
    {
      "benefitId": 10971,
      "code": "OVERSEASMEDICAL",
      "optionTypeCode": "optionTypeCode",
      "displayOrder": 10,
      "name": "Overseas medical expenses",
      "description": "Emergency overseas medical expenses including hospitals, doctors, day surgery, outpatient treaments and prescribed medicines, for up to a year after the sudden illness (including coronavirus) first appeared or the serious injury first occurred.",
      "longDescription": "<a href=\"{PolicyUrl}section-11-overseas-medical-expenses\" target=\"_blank\"> Emergency overseas medical expenses</a> including hospitals, doctors, day surgery, outpatient treatments and prescribed medicines, for up to a year after the sudden illness (including coronavirus) first appeared or the serious injury first occurred.",
      "appliesToDependents": false,
      "perPolicyHolderLimit": 5000000,
      "perPolicyLimit": 1.1,
      "limitLabel": "limitLabel",
      "limitDescription": "limitDescription"
    },
    {
      "benefitId": 11306,
      "code": "CORONAVIRUSTRAVELCOSTS",
      "optionTypeCode": "optionTypeCode",
      "displayOrder": 15,
      "name": "Coronavirus Travel Costs",
      "description": "This benefit under the Explorer Plan offers cover for 8 specific events related to coronavirus, such as contracting the virus causing you to cancel the trip or causing your quarantine; a healthcare worker's leave being cancelled; or you being denied boarding due to your suspected infection with coronavirus. This is a separate benefit to the cover offered for coronavirus for Overseas medical expenses and Emergency medical transport & repatriation.",
      "longDescription": "This benefit under the Explorer Plan offers cover for 8 specific events related to coronavirus, such as contracting the virus causing you to cancel the trip or causing your quarantine; a healthcare worker's leave being cancelled; or you being denied boarding due to your suspected infection with coronavirus. This is a separate benefit to the cover offered for coronavirus for Overseas medical expenses and Emergency medical transport & repatriation.",
      "appliesToDependents": false,
      "perPolicyHolderLimit": 1.1,
      "perPolicyLimit": 1.1,
      "limitLabel": "limitLabel",
      "limitDescription": "Not Insured"
    }
  ],
  "availableTranslations": {
    "key": "value"
  }
}
```

**SDK Code**

```python World Nomads - plan 280
import requests

url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/benefits"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript World Nomads - plan 280
const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/benefits';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go World Nomads - plan 280
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/benefits"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby World Nomads - plan 280
require 'uri'
require 'net/http'

url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/benefits")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java World Nomads - plan 280
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/benefits")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php World Nomads - plan 280
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/benefits', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp World Nomads - plan 280
using RestSharp;

var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/benefits");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift World Nomads - plan 280
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/benefits")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```